using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using CrystalDecisions.CrystalReports.Engine;

namespace VSM102004
{
	/// <summary>
	/// Summary description for PrintingWithCrystal.
	/// </summary>
	public class PrintingWithCrystal : System.Web.UI.Page
	{
		protected SqlDataAdapter sqlDataAdapter1;
		protected SqlCommand sqlSelectCommand1;
		protected SqlConnection sqlConnection1;
    protected CrystalDecisions.Web.CrystalReportViewer CrystalReportOrders;
		protected VSM102004.OrderDetailsForOrder dsReportOrderDetails;
		protected SqlParameter ParamOrderID;
  
		private void Page_Load(object sender, System.EventArgs e)
		{
			// Make sure an OrderID was sessioned off
			if (Session["OrderID"] != null)
			{
				// Set the stored proc filter value to select only order data
				// for this Order ID
				ParamOrderID.Value = Session["OrderID"].ToString();

				// Set up a new report based on the Crystal RPT class created
				ReportDocument myReportDocument = new ReportOrders();
				
				// Get the data for the order and populate the dataset
				sqlDataAdapter1.Fill(dsReportOrderDetails);
				myReportDocument.SetDataSource(dsReportOrderDetails);
				CrystalReportOrders.ReportSource = myReportDocument;

				// Put everything on the same page and create a printable version
				CrystalReportOrders.DisplayGroupTree = false;
				CrystalReportOrders.SeparatePages = false;
				CrystalReportOrders.DisplayToolbar = false;
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.sqlDataAdapter1 = new System.Data.SqlClient.SqlDataAdapter();
			this.sqlSelectCommand1 = new System.Data.SqlClient.SqlCommand();
			this.sqlConnection1 = new System.Data.SqlClient.SqlConnection();
			this.dsReportOrderDetails = new VSM102004.OrderDetailsForOrder();
			((System.ComponentModel.ISupportInitialize)(this.dsReportOrderDetails)).BeginInit();
			// 
			// sqlDataAdapter1
			// 
			this.sqlDataAdapter1.SelectCommand = this.sqlSelectCommand1;
			this.sqlDataAdapter1.TableMappings.AddRange(new System.Data.Common.DataTableMapping[] {
																																															new System.Data.Common.DataTableMapping("Table", "GetOrderDetailsForOrder", new System.Data.Common.DataColumnMapping[] {
																																																																																																											 new System.Data.Common.DataColumnMapping("ProductName", "ProductName"),
																																																																																																											 new System.Data.Common.DataColumnMapping("UnitPrice", "UnitPrice"),
																																																																																																											 new System.Data.Common.DataColumnMapping("Quantity", "Quantity"),
																																																																																																											 new System.Data.Common.DataColumnMapping("Discount", "Discount"),
																																																																																																											 new System.Data.Common.DataColumnMapping("OrderID", "OrderID"),
																																																																																																											 new System.Data.Common.DataColumnMapping("ProductID", "ProductID"),
																																																																																																											 new System.Data.Common.DataColumnMapping("CustomerID", "CustomerID"),
																																																																																																											 new System.Data.Common.DataColumnMapping("EmployeeID", "EmployeeID"),
																																																																																																											 new System.Data.Common.DataColumnMapping("OrderDate", "OrderDate"),
																																																																																																											 new System.Data.Common.DataColumnMapping("RequiredDate", "RequiredDate"),
																																																																																																											 new System.Data.Common.DataColumnMapping("ShippedDate", "ShippedDate"),
																																																																																																											 new System.Data.Common.DataColumnMapping("ShipVia", "ShipVia"),
																																																																																																											 new System.Data.Common.DataColumnMapping("Freight", "Freight"),
																																																																																																											 new System.Data.Common.DataColumnMapping("ShipName", "ShipName"),
																																																																																																											 new System.Data.Common.DataColumnMapping("ShipAddress", "ShipAddress"),
																																																																																																											 new System.Data.Common.DataColumnMapping("ShipCity", "ShipCity"),
																																																																																																											 new System.Data.Common.DataColumnMapping("ShipRegion", "ShipRegion"),
																																																																																																											 new System.Data.Common.DataColumnMapping("ShipPostalCode", "ShipPostalCode"),
																																																																																																											 new System.Data.Common.DataColumnMapping("ShipCountry", "ShipCountry")})});
			// 
			// sqlSelectCommand1
			// 
			this.sqlSelectCommand1.CommandText = "[GetOrderDetailsForOrder]";
			this.sqlSelectCommand1.CommandType = System.Data.CommandType.StoredProcedure;
			this.sqlSelectCommand1.Connection = this.sqlConnection1;
			this.sqlSelectCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@RETURN_VALUE", System.Data.SqlDbType.Int, 4, System.Data.ParameterDirection.ReturnValue, false, ((System.Byte)(0)), ((System.Byte)(0)), "", System.Data.DataRowVersion.Current, null));
			ParamOrderID = this.sqlSelectCommand1.Parameters.Add(new System.Data.SqlClient.SqlParameter("@MatchOrderID", System.Data.SqlDbType.Int, 4));
			// 
			// sqlConnection1
			// 
			this.sqlConnection1.ConnectionString = "workstation id=DOMINION;packet size=4096;user id=sa;integrated security=SSPI;data" +
				" source=localhost;persist security info=False;initial catalog=Northwind";
			// 
			// dsReportOrderDetails
			// 
			this.dsReportOrderDetails.DataSetName = "OrderDetailsForOrder";
			this.dsReportOrderDetails.Locale = new System.Globalization.CultureInfo("en-US");
			this.Load += new System.EventHandler(this.Page_Load);
			((System.ComponentModel.ISupportInitialize)(this.dsReportOrderDetails)).EndInit();

		}
		#endregion

	}
}
