if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[GetOrderDetailsForOrder]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[GetOrderDetailsForOrder]
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE dbo.GetOrderDetailsForOrder
@MatchOrderID INT
AS
SELECT     dbo.Products.ProductName, dbo.[Order Details].UnitPrice, dbo.[Order Details].Quantity, dbo.[Order Details].Discount, dbo.Orders.OrderID, 
                      dbo.[Order Details].ProductID, dbo.Orders.CustomerID, dbo.Orders.EmployeeID, dbo.Orders.OrderDate, dbo.Orders.RequiredDate, 
                      dbo.Orders.ShippedDate, dbo.Orders.ShipVia, dbo.Orders.Freight, dbo.Orders.ShipName, dbo.Orders.ShipAddress, dbo.Orders.ShipCity, 
                      dbo.Orders.ShipRegion, dbo.Orders.ShipPostalCode, dbo.Orders.ShipCountry
FROM         dbo.[Order Details] INNER JOIN
                      dbo.Orders ON dbo.[Order Details].OrderID = dbo.Orders.OrderID INNER JOIN
                      dbo.Products ON dbo.[Order Details].ProductID = dbo.Products.ProductID
WHERE     (dbo.Orders.OrderID = @MatchOrderID)

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO